//private static readonly string[] swfs = { "mx.assets.swf" }; private static void Run(ResHandler handler) { foreach (var swf in swfs) { handler(swf); } }
public void commandmanager() { Commands.current_ = this; try { if (Commands.firstInvoke_) { this.LoadExtensions(); Commands.firstInvoke_ = false; } try { Application.DocumentManager.MdiActiveDocument.TransactionManager.EnableGraphicsFlush(true); } catch (Exception ex) { if (ex.ErrorStatus != ErrorStatus.LockViolation) { throw ex; } } int num = int.Parse(Application.GetSystemVariable("CMDACTIVE").ToString()); if ((num & 3) == 3 || (num & 36) != 0) { string sStatusString = Autodesk.AutoCAD.Internal.Utils.GetCommandAtLevelForDocument(1); if (!sStatusString.Equals("")) { sStatusString = ResHandler.GetResStringByName("#Active Command:") + " " + sStatusString.ToUpper(); } //CalcResult calcResult = QCalcApplication.ShowModalCalculator(sStatusString, "0", true); //if (!((DisposableWrapper)calcResult != (DisposableWrapper)null)) // return; //string message = calcResult.ResultString.Replace(" ", "-"); //if (calcResult.Type == ValueTypeEnum.VectorType) // Autodesk.AutoCAD.Internal.Utils.WriteToCommandLine(message + " "); //else // Autodesk.AutoCAD.Internal.Utils.WriteToCommandLine(message); Autodesk.AutoCAD.Internal.Utils.WriteToCommandLine("CE"); } else { //Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor.WriteMessage("\nEnesyCAD version " + CMNApplication.CurrentVersion); CMNApplication.ShowESWCmn(); } } catch { } finally { Commands.current_ = null; } }